@rem --- Set this to the desired name of the output palette
@set PPLNAME=%1

@rem --- Some parameters for picaNew
@set RENDERSTART=1
@set RENDEREND=239

@echo off

rem --- Make sure the temporary files doesn't already exist
 del temp.rsp

rem --- Write the parameters to a temporary file
 echo masterRenderRange(%RENDERSTART%, %RENDEREND%) >> temp.rsp
 echo masterChooseRange(%RENDERSTART%, %RENDEREND%) >> temp.rsp
 echo shadeHazeLevels(16,16) >> temp.rsp
 echo hazeColor(0, 0, 0, 1.0) >> temp.rsp
 echo shadeColor(0, 0, 0, 1.0) >> temp.rsp
 echo palOutputName(ppl\%PPLNAME%.d.ppl) >> temp.rsp
 echo paletteListStart() >> temp.rsp
 echo palettes\ipl\*.ipl >> temp.rsp

rem --- Begin merging the palettes into a .PPL
 mpMerger -v4 @temp.rsp

rem --- Cleanup
 del temp.rsp